> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unleeshed.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> List all registered webhooks

Returns all webhooks registered by your partner account.

<Note>
  Webhook secrets are never returned in list responses.
</Note>

## Response

Returns an array of webhook objects.

<ResponseField name="id" type="string">
  Unique webhook ID
</ResponseField>

<ResponseField name="url" type="string">
  The registered webhook URL
</ResponseField>

<ResponseField name="events" type="string[]">
  Subscribed event types
</ResponseField>

<ResponseField name="status" type="string">
  Webhook status: `active`, `paused`, or `disabled`
</ResponseField>

<ResponseField name="consecutive_failures" type="number">
  Number of consecutive delivery failures
</ResponseField>

<ResponseField name="last_delivery_at" type="string">
  Timestamp of last successful delivery
</ResponseField>

<RequestExample>
  ```bash theme={null}
  curl https://prod.api.unleeshed.ai/partner/v1/webhooks \
    -H "X-Api-Key: your_api_key"
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": [
      {
        "id": "whk_abc123",
        "url": "https://your-domain.com/webhooks/unleeshed",
        "events": ["creator.approved", "partner.approved", "commentary.failed"],
        "status": "active",
        "consecutive_failures": 0,
        "last_delivery_at": "2026-02-04T12:30:00Z",
        "created_at": "2026-02-04T10:00:00Z",
        "updated_at": "2026-02-04T10:00:00Z"
      }
    ]
  }
  ```
</ResponseExample>
